﻿//
//  SentinelRuntimeInstaller.h
//
//  Copyright © 2017 Safent Inc.com. All rights reserved.
//

#import <Cocoa/Cocoa.h>

//! Project version number for Sentinel Runtime Installer Framework.
FOUNDATION_EXPORT double SentinelRuntimeInstallerVersionNumber;

//! Project version string for Sentinel Runtime Installer Framework.
FOUNDATION_EXPORT const unsigned char SentinelRuntimeInstallerVersionString[];

typedef enum {
   SRI_STATUS_OK           = 0,     // all steps ran without issues
   SRI_STATUS_ENOPAYLOAD   = -1,    // no payload files found in Ressources path
   SRI_STATUS_ENOPKG       = -2,    // no installer PKG found in Ressources path
   SRI_STATUS_ENOAKSUSBD   = -3,    // aksusbd is not installed (the file)
   SRI_STATUS_ENOHASPLMD   = -4,    // hasplmd is not installed (the file)
   SRI_STATUS_EMKDIRFAILED = -5,    // error during creation of paths
   SRI_STATUS_ECOPYFAILED  = -6,    // error during file copy operation
   SRI_STATUS_EPKGFAILED   = -7,    // error during installation of PKG
   
   SRI_STATUS_ERROR        = -8     // generic error - last in ENUM
} SRIResultCode;

@interface SentinelRuntimeInstaller : NSObject

+ (instancetype)sharedInstaller;
- (void)info;
- (SRIResultCode)installRuntime;
- (SRIResultCode)checkRuntime;

@end
